Skip to main content
`Ctrl`+`K`

# PetscDrawGetPause

Gets the amount of time that program pauses after a `PetscDrawPause()` is called.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawGetPause(PetscDraw draw, PetscReal *lpause)

Not Collective

## Input Parameters

- draw - the drawing object

- lpause - number of seconds to pause, -1 implies until user input

## Note

By default the pause time is zero unless the -draw_pause option is given

## See Also

`PetscDraw`, `PetscDrawSetPause()`, `PetscDrawPause()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/dpause.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages